Developer forum
cancel
Showing results for 
Search instead for 
Did you mean: 

!Restored: Critical problem with Dll_test in latest SDK?

Anonymous
Not applicable
There appears to be a serious problem with the Dll_test example in the latest SDK 11 with the latest ArchiCAD 11: No matter what I do it gives an error "The file is an outdated Add-On that cannot be used with this ArchiCAD version" when I try to build and install the resulting plugin into ArchiCAD.

Note: the resource file and headers for that example in SDK 11.21 still referred to ArchiCAD version 10 (ugh!), and the ACAPlib_dll.cpp file had a reference to API version 11 release -2 (yes, negative two). I updated the resource file to say version 11 and the API to version 11 release 1. But this did not make a difference.

This is a critical issue for us because our own plugin dll loads using the same mechanism and it is getting the same error. We have several paying customers waiting on this update.


Any suggestions or ideas are appreciated.

Thanks.

-larry
9 REPLIES 9

Karl Ottenstein
Moderator
lciscon wrote:
There appears to be a serious problem with the Dll_test example in the latest SDK 11 with the latest ArchiCAD 11: No matter what I do it gives an error "The file is an outdated Add-On that cannot be used with this ArchiCAD version" when I try to build and install the resulting plugin into ArchiCAD.
I observe the same behavior - clean build, but error in add-on manager and add-on admin.
Note: the resource file and headers for that example in SDK 11.21 still referred to ArchiCAD version 10 (ugh!)
At least for the grc file, this isn't an issue other than an oversight by GS - that 10.0 reference is simply text in the VERS block which the user is supposed to replace entirely anyway.
and the ACAPlib_dll.cpp file had a reference to API version 11 release -2 (yes, negative two). I updated the resource file to say version 11 and the API to version 11 release 1. But this did not make a difference.
Pretty weird. No ideas other than to confirm what you see.

Karl
One of the forum moderators   •   AC 25 USA and earlier   •   MacOS 11.6.6, iMac Pro

Karl Ottenstein
Moderator
Just some further info...not any help really...

Add-On Manager inside AC 11 says the compiled addon is 'outdated'.

But, if I use AddOnAdmin (from Support > Tools > ... > AddOn Management), Check tab and Load File...

An AC 10 add-on shows up with the message "DevKit Version: Undefined (Undefined release)"

The dll_test add-on, with the '-2' value or a '1' value shows up with an error 99 ('unknown addon registering error'). With a positive 2, it shows up without error as an 11.0 (R2) add-on without error...but won't load.

Karl
One of the forum moderators   •   AC 25 USA and earlier   •   MacOS 11.6.6, iMac Pro

Anonymous
Not applicable
Thanks for trying that out. I must admit I'm relieved it wasn't an obvious mistake on my part... although I'm sure it's something simple regardless.

It would help tremendously if there was a way to get more verbose information on the exact load steps and failure conditions via the debug monitor...perhaps there is a way to turn this on via the ArchiCAD command line parameters??


Thanks again.

-larry

Akos Somorjai
Graphisoft
Graphisoft
Larry,

Change the following line in the ACAP_dll.cpp file:
#define	API_RELEASE_VERSION		-2 // APIVersion::Dev

to
#define	API_RELEASE_VERSION		1 // APIVersion::R1
The final ArchiCAD doesn't load the dev version of the add-on.

HTH,

Akos

Anonymous
Not applicable
As I mentioned in my first post, I already tried that. And as Karl confirms above, it doesn't work. ArchiCAD still gives the "outdated add-on" error when you try to load it.

I readily admit I could be doing something simple wrong. So If you've gotten it to work, please send me the source directory and compiled plugin for Dll_Test to my email (lciscon@trelligence.com).

If not, please fix the problem ASAP.


-larry


Akos wrote:
Larry,

Change the following line in the ACAP_dll.cpp file:
#define	API_RELEASE_VERSION		-2 // APIVersion::Dev

to
#define	API_RELEASE_VERSION		1 // APIVersion::R1
The final ArchiCAD doesn't load the dev version of the add-on.

HTH,

Akos

Karl Ottenstein
Moderator
Thanks for posting, Akos. Attached is a screenshot of what I described earlier. Version set as you describe, but note the error messages / codes in Add-On Manager (AC) and Add-On Management > Check (Dev Tools).

Best regards,
Karl
One of the forum moderators   •   AC 25 USA and earlier   •   MacOS 11.6.6, iMac Pro

Akos Somorjai
Graphisoft
Graphisoft
The problem is really in the ACAP_dll.cpp file; please find enclosed the correct version.

Basically one version number is missing in the current version (

It's our fault, I have to admit.

Hope this helps,

Akos

Anonymous
Not applicable
Awesome! Thank you! I *really* appreciate it!

-larry

Akos wrote:
The problem is really in the ACAP_dll.cpp file; please find enclosed the correct version.

Basically one version number is missing in the current version (

It's our fault, I have to admit.

Hope this helps,

Akos

Karl Ottenstein
Moderator
Thanks, Akos!

Larry: it seems that for the dll_test.apx to not cause a crashdump, you have to also have ACAP_DLL.apx (from the devkit Support folder) in your Add-Ons folder.

Cheers,
Karl
One of the forum moderators   •   AC 25 USA and earlier   •   MacOS 11.6.6, iMac Pro

Still looking?

Browse more topics

Back to forum

See latest solutions

Accepted solutions

Start a new discussion!